# Class UccageRenderer

java.lang.Object
org.jmol.render.ShapeRenderer
org.jmol.render.FontLineShapeRenderer
org.jmol.render.UccageRenderer

public class UccageRenderer extends FontLineShapeRenderer

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BS`
`bsPeriod`
`protected boolean`
`isPolymer`
`protected boolean`
`isSlab`
`protected int`
`nDims`
`protected final P3[]`
`p3Screens`
`protected int`
`periodicity`
`protected P3`
`pt`
`protected boolean`
`shiftA`
`protected boolean`
`shiftB`
`protected boolean`
`shiftC`
`protected boolean`
`shifting`
`protected char[]`
`tickEdges`
`protected P3[]`
`vvert`

### Fields inherited from class FontLineShapeRenderer

`asLineOnly, colixA, colixB, dashDots, dashes, dotsOrDashes, draw000, endcap, font3d, fourdots, hDashes, imageFontScaling, ndots, pointT, pointT2, pointT3, pt0, pt0i, pt1, pt2i, pymoldashes, s1, s2, sixdots, tickA, tickAs, tickB, tickBs, tickInfo, twodots, vectorT, vectorT2, vectorT3, width`

### Fields inherited from class ShapeRenderer

`colix, exportType, flags, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

## Constructor Summary

Constructors
Constructor
Description
`UccageRenderer()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`initRenderer()`
`protected boolean`
`render()`
`protected void`
`renderCage(int mad, P3[] vertices, int[][] faces, P3[] axisPoints, int firstLine, int allowedEdges0, int allowedEdges1, float scale)`
`protected void`
`renderCageLine(int i, int edge0, int edge1, int d, boolean drawTicks)`
`protected void`
`setBSPeriod()`
`protected void`
`setPeriodicity(P3[] vertices, float scale)`
Uccage only
`protected void`
`setShifts()`

### Methods inherited from class FontLineShapeRenderer

`checkTickTemps, drawDashedCylinder, drawLine, drawLine2, drawString, drawTicks, fillCylinder, getDiameter, renderLine`

### Methods inherited from class ShapeRenderer

`isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### p3Screens

protected final P3[] p3Screens

### tickEdges

protected char[] tickEdges

### isSlab

protected boolean isSlab

### isPolymer

protected boolean isPolymer

### periodicity

protected int periodicity

### nDims

protected int nDims

### bsPeriod

protected BS bsPeriod

### pt

protected P3 pt

### vvert

protected P3[] vvert

### shiftA

protected boolean shiftA

### shiftB

protected boolean shiftB

### shiftC

protected boolean shiftC

### shifting

protected boolean shifting

## Constructor Details

### UccageRenderer

public UccageRenderer()

## Method Details

### initRenderer

protected void initRenderer()

Overrides:
  `initRenderer` in class `ShapeRenderer`

### setPeriodicity

protected void setPeriodicity(P3[] vertices, float scale)
Uccage only

Parameters:
  `vertices` -
  `scale` -

### render

protected boolean render()

Specified by:
  `render` in class `ShapeRenderer`

### renderCageLine

protected void renderCageLine(int i, int edge0, int edge1, int d, boolean drawTicks)

Parameters:
  `i` -
  `edge0` -
  `edge1` -
  `d` -
  `drawTicks` -

### setBSPeriod

protected void setBSPeriod()

### renderCage

protected void renderCage(int mad, P3[] vertices, int[][] faces, P3[] axisPoints, int firstLine, int allowedEdges0, int allowedEdges1, float scale)

### setShifts

protected void setShifts()